Bug 106424 - gzeof not set when reading compressed file
Summary: gzeof not set when reading compressed file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: zlib   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-06 23:56 UTC by John Ellson
Modified: 2007-04-18 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-08 16:49:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar containing ztest/Makefile and ztest/ztest.c (639 bytes, application/octet-stream)
2003-10-06 23:58 UTC, John Ellson
no flags Details

Description John Ellson 2003-10-06 23:56:49 UTC
Description of problem:
gzeof is not set when reading from a compressed file,
instead gzread is returning 0

This happens with Redhats zlib-1.2.0.7-1 but not with the original zlib-1.1.4

Version-Release number of selected component (if applicable):
zlib-1.2.0.7-1.src.rpm

How reproducible:
100%  see attached test 

Steps to Reproduce:
1. build and install zlib-1.1.4.tar.gz from http://www.gzip.org/zlib/ into
/usr/local
2. unpack attached "ztest.tgz" test case
3. cd ztest; make test1, make test2
    
Actual results:
test1 uses zlib-1.1.4 and terminates successfully
test2 uses zlib-1.2.0.7 and enters an infinite loop.

Expected results:
gzeof should be set at eof on compressed file input.

Additional info:

Comment 1 John Ellson 2003-10-06 23:58:04 UTC
Created attachment 94968 [details]
tar containing ztest/Makefile and ztest/ztest.c

Comment 2 Jeff Johnson 2003-10-08 13:22:26 UTC
Nice bug report, thanks for the reproducer. Fixing now ...

Comment 3 Jeff Johnson 2003-10-08 16:49:07 UTC
Fixed in zlib-1.2.0.7-2. Note that the fix might change in zlib-1.2.1.


Note You need to log in before you can comment on or make changes to this bug.